package org.hogehoge.test.logic;

import org.seasar.framework.container.annotation.tiger.Binding;
import org.seasar.framework.container.annotation.tiger.BindingType;
import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;

@Component(name = "test", instance = InstanceType.SINGLETON)
public class TestLogic {

	@Binding(bindingType = BindingType.MUST, value = "test.hogehoge")
	private String data;

	public void showData() {
		System.out.println(data);
	}

}
